org.eclipse.ecf.core.provider

## Class ContainerIntentException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.eclipse.core.runtime.CoreException
      - - org.eclipse.ecf.core.util.ECFException
        - - org.eclipse.ecf.core.ContainerCreateException
          - - org.eclipse.ecf.core.provider.ContainerIntentException

All Implemented Interfaces:
  Serializable

    public class ContainerIntentException
    extends ContainerCreateException

Since:
  3.9
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ContainerIntentException(String intentName, org.eclipse.core.runtime.IStatus status)`
`ContainerIntentException(String intentName, String message)`
`ContainerIntentException(String intentName, String message, Throwable cause)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getIntentName()`

### Methods inherited from class org.eclipse.core.runtime.CoreException

`getCause, getStatus, printStackTrace, printStackTrace, printStackTrace`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ContainerIntentException

    public ContainerIntentException(String intentName,
                                    org.eclipse.core.runtime.IStatus status)

#### ContainerIntentException

    public ContainerIntentException(String intentName,
                                    String message,
                                    Throwable cause)

#### ContainerIntentException

    public ContainerIntentException(String intentName,
                                    String message)

### Method Detail

#### getIntentName

    public String getIntentName()